{
  "name": "weather-app",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "lint": "next lint",
    "format": "prettier --write \"src/**/*.ts\"",
    "test:unit": "vitest --ui"
  },
  "dependencies": {
    "@firebase/database": "^1.0.5",
    "@firebase/firestore": "^4.6.3",
    "firebase": "^10.12.2",
    "next": "14.2.3",
    "react": "^18",
    "react-dom": "^18"
  },
  "devDependencies": {
    "@testing-library/react": "^15.0.7",
    "@types/node": "^20",
    "@types/react": "^18",
    "@types/react-dom": "^18",
    "@vitejs/plugin-react": "^4.3.0",
    "@vitest/coverage-v8": "^1.6.0",
    "@vitest/ui": "^1.6.0",
    "autoprefixer": "^10.4.19",
    "eslint": "^8",
    "eslint-config-next": "14.2.3",
    "eslint-plugin-prettier": "^5.1.3",
    "jsdom": "^24.1.0",
    "postcss": "^8",
    "prettier": "^3.2.5",
    "tailwindcss": "^3.4.1",
    "typescript": "^5",
    "vitest": "^1.6.0"
  }
}
